﻿using System;
using System.Drawing;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.WinForms;

namespace _8655
{
    public partial class Form1 : Form
    {
        bool panFlag = false;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;
            RectangleShape rect = new RectangleShape(-135, 70, -56, 7);

            LayerOverlay overlay = new LayerOverlay();
            NativeImageRasterLayer drawingImage = new NativeImageRasterLayer(@"..\..\AppData\Capture.jpg", rect);
            overlay.Layers.Add(drawingImage);
            winformsMap1.Overlays.Add("drawing", overlay);

            SimpleMarkerOverlay markerOverLay = new SimpleMarkerOverlay();
            markerOverLay.MapControl = winformsMap1;
            winformsMap1.Overlays.Add("markers", markerOverLay);

            //winformsMap1.RestrictedExtent = rect;
            winformsMap1.CurrentExtent = rect;
            winformsMap1.MapClick += winformsMap1_MapClick;

            winformsMap1.Refresh();

        }

        private void winformsMap1_MapClick(object sender, MapClickWinformsMapEventArgs e)
        {
            if (e.MouseButton != MapMouseButton.Left && panFlag == true)
            {
                return;
            }

            SimpleMarkerOverlay markerOverlay = (SimpleMarkerOverlay)winformsMap1.Overlays["markers"];
            //markerOverlay.DragMode = MarkerDragMode.Drag;
            //PointShape position = new PointShape(-99.2353515625, 50.3212890625);
            Marker marker = new Marker(e.WorldX, e.WorldY);

            Image icon = Image.FromFile(@"..\..\AppData\CoffeeShop.png");
            Bitmap item = new Bitmap(icon, new Size(20, 20));
            marker.Image = item;
            markerOverlay.Markers.Add(marker);            
            winformsMap1.Refresh();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (button1.Text == "AddMarker")
            {
                button1.Text = "Pan";
                panFlag = true;
            }
            else
            {
                button1.Text = "AddMarker";
                panFlag = false;
            }
        }
    }
}
